ZIP_FTELL(3) | Library Functions Manual | ZIP_FTELL(3)

# NAME

`zip_ftell` —
tell position in file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int64_t
`zip_ftell`(zip_file_t *file);

# DESCRIPTION

The `zip_ftell`() function reports the current offset in the file.

`zip_ftell` only works on uncompressed (stored) data. When called on compressed data it will return an error.

# RETURN VALUES

If successful, `zip_ftell` returns the current file position. Otherwise, -1 is returned.

# SEE ALSO

libzip(3), zip_fclose(3), zip_fopen(3), zip_fread(3), zip_fseek(3)

# HISTORY

`zip_ftell`() was added in libzip 1.2.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35